<header class="headVisit">
  <div class="headVisit-contentLeft">
    <%= link_to community_surveys_path, data: { tooltip: t('community_survey.title_label'), position: "bottom left" }, class: active_for(controller: "community_surveys") do %>
      <i class="ico-community-survey-icon"></i>
      <span class="icon-label"><%= t('community_survey.title_label') %></span>
    <% end %>
    <%= link_to "javascript:void(0)", id: "goto_house_button", data: { tooltip: t('house.title_label'), position: "bottom left" }, class: active_for(controller: "houses") do %>
      <i class="ico-house-survey-icon"></i>
      <span class="icon-label"><%= t('house.title_label') %></span>
    <% end %>
    <%= link_to "javascript:void(0)", id: "goto_house_health_survey_button", data: { tooltip: t('house_health_survey.title_label'), position: "bottom left" }, class: active_for(controller: ["family_folders", "house_health_surveys"]) do %>
      <i class="ico-family-health-survey-icon"></i>
      <span class="icon-label"><%= t('house_health_survey.title_label') %></span>
    <% end %>
    <%= link_to "javascript:void(0)", id: "goto_person_button", data: { tooltip: t('person.title_label'), position: "bottom left" }, class: active_for(controller: "people") do %>
      <i class="ico-person-icon"></i>
      <span class="icon-label"><%= t('person.title_label') %></span>
    <% end %>
    <%= link_to "javascript:void(0)", id: "goto_person_health_survey_button", data: { tooltip: t('person_health_survey.title_label'), position: "bottom left" }, class: active_for(controller: "person_health_surveys") do %>
      <i class="ico-health-survey-icon"></i>
      <span class="icon-label"><%= t('person_health_survey.title_label') %></span>
    <% end %>
    <%= link_to "javascript:void(0)", id: "goto_home_visit_button", data: { tooltip: t('home_visit.title_label'), position: "bottom left" }, class: active_for(controller: "home_visits") do %>
      <i class="ico-home-visit-icon"></i>
      <span class="icon-label"><%= t('home_visit.title_label') %></span>
    <% end %>
    <% if current_user.role?(:admin) || current_user.role?(:advanced) %>
      <%= link_to "/reports/admin/health_survey", data: { tooltip: t('report.hs_admin_title_label'), position: "bottom left" }, class: active(action: 'admin_health_survey', template: 'admin/hs') do %>
        <i class="icons">
          <i class="ico-hs-icon"></i>
          <i class="bottom left corner inverted user icon"></i>
        </i>
        <span class="icon-label"><%= t('report.hs_admin_title_label') %></span>
      <% end %>
      <%= link_to "/reports/admin/home_visit", data: { tooltip: t('report.hv_admin_title_label'), position: "bottom left" }, class: active(action: 'admin_home_visit', template: 'admin/hv') do %>
        <i class="icons">
          <i class="ico-hv-icon"></i>
          <i class="bottom left corner inverted user icon"></i>
        </i>
        <span class="icon-label"><%= t('report.hv_admin_title_label') %></span>
      <% end %>
    <% end %>
    <% if current_user.role?(:user) %>
      <%= link_to "/reports/site/health_survey", data: { tooltip: t('report.hs_title_label'), position: "bottom left" }, class: active(action: 'site_health_survey', template: 'site/hs') do %>
        <i class="ico-hs-icon"></i>
        <span class="icon-label"><%= t('report.hs_title_label') %></span>
      <% end %> 
      <%= link_to "/reports/site/home_visit", data: { tooltip: t('report.hv_title_label'), position: "bottom left" }, class: active(action: 'site_home_visit', template: 'site/hv') do %>
        <i class="ico-hv-icon"></i>
        <span class="icon-label"><%= t('report.hv_title_label') %></span>
      <% end %> 
    <% end %> 
  </div>
  <div class="headVisit-toggle">
    <a id="toggle_navbar" class="btnLogout">
      <i class="bars icon"></i>
    </a>
  </div>
  <div class="headVisit-contentCenter">
    <div class="headVisit-title">
      <span class="headVisit-logo">
        <%= image_tag("LogoBKKFF2.svg", alt: "Logo") %>
        <div class="headVisit-logo__title">Health Survey</div>
      </span>
      <span class="headVisit-hospital"><%= current_hospital %></span>
    </div>
  </div>
  <div class="headVisit-contentRight">
    <div class="headVisit-user">
      <i class="user icon"></i>
      <%= current_user.username %>
    </div>
    <%= link_to logout_path, method: :delete, class: "btnLogout" do %>
      <i class="ico-logout"></i>
    <% end %>
  </div>
</header>
<div class="menuFilter">
  <div class="menuFilter-contentLeft">
    <%= yield :menu_content_title %>
  </div>
  <div class="menuFilter-content">
    <%= render "shared/search_people" %>
  </div>
  <div class="menuFilter-contentRight">
    <div class="menuFilter-contentRight__detail">
      <%= yield :menu_content_detail %>
    </div>
    <%= yield :menu_content_link %>
  </div>
</div>
<%= render 'shared/modal' %>
